
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=Sekuya&family=Urbanist:ital,wght@0,100..900;1,100..900&display=swap');


*{
    box-sizing: border-box;
}



header{
    display: grid;
    grid-template-columns: 1fr 4fr 1fr;
    background-color: black;
     font-family: "Sekuya", system-ui;
}

header h1{
    text-align: center;
    text-decoration: underline;
    color: white;
}
header, footer, nav{
    grid-column: 1 / -1;
}

header img{
    width: 60%;
    object-fit: cover;

}

nav{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
   background-color: black;
   
}

nav a{
    display: block;
    border: 3px solid rgb(106, 102, 102);
    background-color: silver; 
 
    text-align: center;
   
}
nav a:hover
{
background-color: gray;
font-weight: bolder;
}

a:visited{
    color: white;
    text-decoration: none;
}
main{
  
    grid-column: 2;
   background: #CDC999;
    border: 3px solid black;
    border-radius: 10px;
    
}

main img{
    width: 100%;
 
}

footer{
    display: grid;
    grid-template-columns: repeat(5, auto);
    background-color: black;
    height: auto;
   font-family: Dancing Script, cursive;
}

footer div{
    display: grid;
   padding: 30px;
    justify-items: center; 
    align-items: start;
    align-content: center;
}
footer p, footer ul, footer h2{
    color: white;
    text-decoration: none;
}

footer p{
    text-align: center;
}

.overlay
{
    position: absolute;
    opacity: 0;
  transition: 0.3s ease;
  background-color: #00000066;
  border-radius: 10px;
}
    
.container:hover .overlay  {
  opacity: 1;
}

.text {
  color: white;
  font-size: 20px;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
}

.container {
  position: relative;
}